summaryrefslogtreecommitdiff
path: root/bg1/install-patch-totsc-us.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bg1/install-patch-totsc-us.sh')
-rwxr-xr-xbg1/install-patch-totsc-us.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/bg1/install-patch-totsc-us.sh b/bg1/install-patch-totsc-us.sh
index f01e4ec..8a47f79 100755
--- a/bg1/install-patch-totsc-us.sh
+++ b/bg1/install-patch-totsc-us.sh
@@ -36,7 +36,9 @@ setuptmp
getpatch $patch_url
cabextract -L "${TMPDIR}/${patch_name}" -d "$TMPDIR" || diesoftly
-unshield -d "$TMPDIR" -L x "${TMPDIR}/data1.cab" || diesoftly
+# work around unshield bug (#2801016 in SynCE project)
+#unshield -d "$TMPDIR" -L x "${TMPDIR}/data1.cab" || diesoftly
+cd "$TMPDIR" && unshield -d . -L x "${TMPDIR}/data1.cab" || diesoftly
cp -R "${TMPDIR}/minimumdata/"* "$TARGETDIR" || diesoftly